# Like comment

Likes a comment.

```http
POST https://api.pozy.ai/v1/inbox/comments/{postId}/{commentId}/like
```

- Area: Inbox / Comments
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `postId` (string, required)
- `commentId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `reactionType`, string: One of `LIKE`, `PRAISE`, `EMPATHY`, `INTEREST`, `APPRECIATION`, `ENTERTAINMENT`
- `cid`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c/6cc7605fa43607e4ad43b1d4/like" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c/6cc7605fa43607e4ad43b1d4/like", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c/6cc7605fa43607e4ad43b1d4/like",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `status`, string
- `commentId`, string
- `liked`, boolean
- `likeUri`, string
- `alreadyReacted`, boolean
- `reactionType`, string
- `platform`, string

```json
{
  "status": "active",
  "commentId": "6cc7605fa43607e4ad43b1d4",
  "liked": true,
  "likeUri": "string",
  "alreadyReacted": true,
  "reactionType": "string",
  "platform": "instagram"
}
```
